FreeMat

- Main Page
- Related Pages

vtkTemporalDataSet

Section: Visualization Toolkit Filtering Classes

# Usage

vtkTemporalDataSet is a vtkCompositeDataSet that stores multiple time steps of data.

To create an instance of class vtkTemporalDataSet, simply invoke its constructor as follows

      obj = vtkTemporalDataSet

# Methods

The class vtkTemporalDataSet has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTemporalDataSet class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTemporalDataSet = obj.NewInstance ()`
- `vtkTemporalDataSet = obj.SafeDownCast (vtkObject o)`
- `int = obj.GetDataObjectType ()` - Set the number of time steps in theis dataset
- `obj.SetNumberOfTimeSteps (int numLevels)` - Returns the number of time steps.
- `int = obj.GetNumberOfTimeSteps ()` - Set a data object as a timestep. Cannot be vtkTemporalDataSet.
- `obj.SetTimeStep (int timestep, vtkDataObject dobj)` - Set a data object as a timestep. Cannot be vtkTemporalDataSet.
- `vtkDataObject = obj.GetTimeStep (int timestep)` - Get timestep meta-data.
- `vtkInformation = obj.GetMetaData (int timestep)` - Returns if timestep meta-data is present.
- `int = obj.HasMetaData (int timestep)` - The extent type is a 3D extent
- `int = obj.GetExtentType ()` - The extent type is a 3D extent
- `vtkInformation = obj.GetMetaData (vtkCompositeDataIterator iter)` - Unhiding superclass method.
- `int = obj.HasMetaData (vtkCompositeDataIterator iter)`